Get bulk purchases
curl --request GET \
--url https://api.streamskill.pro/v1/purchases/bulk \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamskill.pro/v1/purchases/bulk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamskill.pro/v1/purchases/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 101,
"price": 10,
"currency": "usd",
"created_at": 1640000000,
"order_type": "twitch_viewers",
"status": "working",
"channel": "example_channel",
"service": "twitch",
"parent": false,
"api": true,
"chatbot": false,
"tarif": 1
},
{
"id": 102,
"price": 15,
"currency": "usd",
"created_at": 1640000100,
"order_type": "twitch_viewers",
"status": "created",
"channel": "another_channel",
"service": "twitch",
"parent": false,
"api": false,
"chatbot": false,
"tarif": 1
}
],
"missing_ids": [
999
]
}Purchases
Get bulk purchases
GET
/
purchases
/
bulk
Get bulk purchases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The language of the response
Available options:
en, ru Query Parameters
Comma-separated positive order IDs. Use ids=1,2,3. Maximum 100 IDs.
Example:
"1,2,3"
The expand of the purchase (you can use multiple values separated by commas)
Available options:
tarif, parent, api, chatbot Example:
"tarif,parent"
⌘I